Bug 350140 - KSysGuard crashed on close
Summary: KSysGuard crashed on close
Status: ASSIGNED
Alias: None
Product: ksysguard
Classification: Applications
Component: general (show other bugs)
Version: 5.18.5
Platform: Neon Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords: drkonqi
: 341857 347662 348751 352077 353006 358660 358706 358970 359240 360724 361282 373894 390497 394820 400300 400375 400499 400515 403126 403291 407394 408378 409048 409057 409981 411325 412868 413056 413942 414491 414802 414845 415503 418449 418491 419784 419893 419940 420281 420952 421995 423382 425045 425064 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-07-11 21:59 UTC by Lastique
Modified: 2021-10-06 14:40 UTC (History)
52 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.64 KB, text/plain)
2019-03-10 16:52 UTC, dagobertram
Details
New crash information added by DrKonqi (6.96 KB, patch)
2020-04-17 14:16 UTC, b.raz027
Details
backtrace (4.09 KB, text/plain)
2020-07-10 01:23 UTC, kde
Details
New crash information added by DrKonqi (5.83 KB, text/plain)
2020-08-02 23:36 UTC, Arcadiy Ivanov
Details
New crash information added by DrKonqi (5.24 KB, text/plain)
2020-10-12 12:54 UTC, Florian Edelmann
Details
New crash information added by DrKonqi (3.00 KB, text/plain)
2021-03-06 22:33 UTC, David
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lastique 2015-07-11 21:59:00 UTC
Application: ksysguard (5.3.1)

Qt Version: 5.4.1
Operating System: Linux 3.19.0-22-generic x86_64
Distribution: Ubuntu 15.04

-- Information about the crash:
- What I was doing when the application crashed:

KSysGuard has crashed when I closed it. Prior to closing it, I had 'firefox' typed in the Quick search field.

-- Backtrace:
Application: System Monitor (ksysguard), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f612a91f800 (LWP 26857))]

Thread 4 (Thread 0x7f6127f00700 (LWP 26858)):
#0  0x00007f6142ad78dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f61384e1b72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f61384e364f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f612a495099 in QXcbEventReader::run (this=0x261f2a0) at qxcbconnection.cpp:1105
#4  0x00007f613e9cbb0e in QThreadPrivate::start (arg=0x261f2a0) at thread/qthread_unix.cpp:337
#5  0x00007f61380be6aa in start_thread (arg=0x7f6127f00700) at pthread_create.c:333
#6  0x00007f6142ae2eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f611ffff700 (LWP 26861)):
#0  0x00007f6142ad78dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f6137741ebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6137742242 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6125d69af6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f6137768955 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f61380be6aa in start_thread (arg=0x7f611ffff700) at pthread_create.c:333
#6  0x00007f6142ae2eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f611f7fe700 (LWP 26862)):
#0  0x00007f6137786789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f61377412d7 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f6137741de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6137741fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f6137742009 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f6137768955 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f61380be6aa in start_thread (arg=0x7f611f7fe700) at pthread_create.c:333
#7  0x00007f6142ae2eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f612a91f800 (LWP 26857)):
[KCrash Handler]
#6  0x00007f613f541604 in QWidget::sizePolicy (this=this@entry=0x26c3de0) at kernel/qwidget.cpp:10046
#7  0x00007f613f658e68 in QLabelPrivate::updateLabel (this=this@entry=0x26c2a10) at widgets/qlabel.cpp:1107
#8  0x00007f613f659dcd in QLabel::setText (this=0x26ce560, text=...) at widgets/qlabel.cpp:309
#9  0x00007f6142e1f539 in TopLevel::answerReceived (this=0x29cd6d0, id=<optimized out>, answerList=...) at ../../gui/ksysguard.cpp:447
#10 0x00007f6141c9226b in KSGRD::SensorAgent::processAnswer(char const*, int) () from /usr/lib/x86_64-linux-gnu/libksgrd.so.7
#11 0x00007f6141c99b60 in ?? () from /usr/lib/x86_64-linux-gnu/libksgrd.so.7
#12 0x00007f613ec3a9c9 in QMetaObject::activate (sender=0x2683e30, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3716
#13 0x00007f613eb3333c in QProcessPrivate::tryReadFromChannel (this=0x2683b40, channel=0x1) at io/qprocess.cpp:966
#14 0x00007f613eb33eb0 in _q_canReadStandardOutput (this=<optimized out>) at io/qprocess.cpp:977
#15 QProcess::qt_static_metacall (_o=0x26c3de0, _c=QMetaObject::InvokeMetaMethod, _id=43789728, _a=0xa) at .moc/moc_qprocess.cpp:136
#16 0x00007f613ec3a9c9 in QMetaObject::activate (sender=0x26c46e0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffe255b4b0) at kernel/qobject.cpp:3716
#17 0x00007f613ec3b057 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f613ee64480 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffe255b4b0) at kernel/qobject.cpp:3582
#18 0x00007f613ecba45e in QSocketNotifier::activated (this=<optimized out>, _t1=20) at .moc/moc_qsocketnotifier.cpp:133
#19 0x00007f613ec4851b in QSocketNotifier::event (this=0x26c46e0, e=0xffeb0101) at kernel/qsocketnotifier.cpp:296
#20 0x00007f613f513b2c in QApplicationPrivate::notify_helper (this=0x25f6770, receiver=0x26c46e0, e=0x7fffe255b710) at kernel/qapplication.cpp:3720
#21 0x00007f613f519000 in QApplication::notify (this=0x7fffe255ba40, receiver=0x26c46e0, e=0x7fffe255b710) at kernel/qapplication.cpp:3503
#22 0x00007f613ec09c2b in QCoreApplication::notifyInternal (this=0x7fffe255ba40, receiver=0x26c46e0, event=event@entry=0x7fffe255b710) at kernel/qcoreapplication.cpp:935
#23 0x00007f613ec63345 in sendEvent (event=0x7fffe255b710, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:228
#24 socketNotifierSourceDispatch (source=0x259c4a0) at kernel/qeventdispatcher_glib.cpp:101
#25 0x00007f6137741c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007f6137741f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f6137741fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f613ec62c57 in QEventDispatcherGlib::processEvents (this=0x259c560, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#29 0x00007f613ec073e2 in QEventLoop::exec (this=this@entry=0x7fffe255b930, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#30 0x00007f613ec0f02c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#31 0x00007f613ef4e31c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1510
#32 0x00007f613f50f7a5 in QApplication::exec () at kernel/qapplication.cpp:2956
#33 0x00007f6142e20ed9 in kdemain (argc=1, argv=<optimized out>) at ../../gui/ksysguard.cpp:594
#34 0x00007f61429fca40 in __libc_start_main (main=0x400730 <main(int, char**)>, argc=1, argv=0x7fffe255bb88, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffe255bb78) at libc-start.c:289
#35 0x0000000000400769 in _start ()

Reported using DrKonqi
Comment 1 Christoph Feck 2015-09-25 10:41:08 UTC
*** Bug 353006 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2018-02-16 22:45:45 UTC
*** Bug 341857 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2018-02-16 22:46:07 UTC
*** Bug 347662 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2018-02-16 22:46:24 UTC
*** Bug 348751 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2018-02-16 22:46:43 UTC
*** Bug 352077 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2018-02-16 22:47:04 UTC
*** Bug 358660 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2018-02-16 22:47:26 UTC
*** Bug 358706 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2018-02-16 22:48:12 UTC
*** Bug 358970 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2018-02-16 22:48:32 UTC
*** Bug 359240 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2018-02-16 22:48:53 UTC
*** Bug 360724 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2018-02-16 22:49:10 UTC
*** Bug 361282 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2018-02-16 22:49:28 UTC
*** Bug 373894 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2018-02-16 22:49:44 UTC
*** Bug 390497 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2018-02-16 22:51:33 UTC
Backtrace with debug symbols from bug 358970 comment #2 (for Plasma 5.5.5):

Thread 1 (Thread 0x7efcd1012800 (LWP 18040)):
[KCrash Handler]
#6  0x00007efcd61baf49 in QLabelPrivate::clearContents() [clone .constprop.2832] () at widgets/qlabel.cpp:1271
#7  0x00007efcd5ff3c9c in QLabel::setText(QString const&) () at widgets/qlabel.cpp:282
#8  0x00007efcd8828c0c in TopLevel::answerReceived(int, QList<QByteArray> const&) () at /tmp/portage/kde-plasma/ksysguard-5.5.5/work/ksysguard-5.5.5/gui/ksysguard.cpp:447
#9  0x0000003720a0bdf1 in KSGRD::SensorAgent::processAnswer(char const*, int) () at /tmp/portage/kde-plasma/libksysguard-5.5.5/work/libksysguard-5.5.5/ksgrd/SensorAgent.cpp:187
#10 0x0000003720a0e830 in KSGRD::SensorShellAgent::msgRcvd () at /tmp/portage/kde-plasma/libksysguard-5.5.5/work/libksysguard-5.5.5/ksgrd/SensorShellAgent.cpp:94
#11 0x0000003712e00833 in QtPrivate::QSlotObjectBase::call(QObject*, void**) () at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#12 QMetaObject::activate(QObject*, int, int, void**) () at kernel/qobject.cpp:3698
#13 0x0000003712d2917a in QProcessPrivate::tryReadFromChannel(QProcessPrivate::Channel*) () at io/qprocess.cpp:966
#14 0x0000003712d29510 in _q_canReadStandardOutput () at io/qprocess.cpp:977
#15 QProcess::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at .moc/moc_qprocess.cpp:133
#16 0x0000003712e009b7 in QMetaObject::activate(QObject*, int, int, void**) () at kernel/qobject.cpp:3713
#17 0x0000003712e781fe in QSocketNotifier::activated(int, QSocketNotifier::QPrivateSignal) () at .moc/moc_qsocketnotifier.cpp:134
#18 0x0000003712dfde3b in QSocketNotifier::event(QEvent*) () at kernel/qsocketnotifier.cpp:260
#19 0x00007efcd628c88c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at kernel/qapplication.cpp:3716
#20 0x00007efcd6290aae in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3499
#21 0x0000003712da476d in QCoreApplication::notifyInternal () at kernel/qcoreapplication.cpp:965
#22 0x0000003712de2222 in sendEvent () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:224
#23 socketNotifierSourceDispatch () at kernel/qeventdispatcher_glib.cpp:101
#24 0x0000003710049737 in g_main_dispatch () at /tmp/portage/dev-libs/glib-2.46.2-r2/work/glib-2.46.2/glib/gmain.c:3154
#25 g_main_context_dispatch () at /tmp/portage/dev-libs/glib-2.46.2-r2/work/glib-2.46.2/glib/gmain.c:3769
#26 0x0000003710049968 in g_main_context_iterate () at /tmp/portage/dev-libs/glib-2.46.2-r2/work/glib-2.46.2/glib/gmain.c:3840
#27 0x0000003710049a0c in g_main_context_iteration () at /tmp/portage/dev-libs/glib-2.46.2-r2/work/glib-2.46.2/glib/gmain.c:3901
#28 0x0000003712dd18cf in QEventDispatcherGlib::processEvents () at kernel/qeventdispatcher_glib.cpp:418
#29 0x0000003712dac33a in QEventLoop::exec () at kernel/qeventloop.cpp:204
#30 0x0000003712dac5fd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1229
#31 0x00007efcd882894b in kdemain () at /tmp/portage/kde-plasma/ksysguard-5.5.5/work/ksysguard-5.5.5/gui/ksysguard.cpp:596
#32 0x0000003394c20730 in __libc_start_main (main=0x400790 <main()>, argc=1, argv=0x7fff656b0538, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff656b0528) at libc-start.c:289
#33 0x00000000004007c9 in _start ()
Comment 15 Christoph Feck 2018-06-15 19:44:27 UTC
*** Bug 394820 has been marked as a duplicate of this bug. ***
Comment 16 Matt Fagnani 2018-10-19 04:46:24 UTC
I've seen four crashes in ksysguard 5.13.5 in Fedora 28-29 since Oct 7 with Qt 5.11.1 in the coredumpctl and journal messages. I think these crashes occurred when I closed ksysguard because I didn't see ksysguard close unusually and the KDE Crash reporter didn't appear. The crashes occurred less than 10% of the time I used ksysguard since Oct 7.

The last such crash had a core dump with a segmentation fault in QLabelPrivate::clearContents at widgets/qlabel.cpp:1302 "delete picture;" in libQt5Widgets.so.5. The crash had a similar trace to that in comment 13 by Christoph Feck. The coredumpctl debug and gdb output with ksysguard, libksysguard, qt5-qtcore, qt5-qtcore-gui, glibc, glib debug packages installed was the following.

coredumpctl debug 2847
           PID: 2847 (ksysguard)
           UID: 1000 (matt)
           GID: 1000 (matt)
        Signal: 11 (SEGV)
     Timestamp: Wed 2018-10-17 19:44:58 EDT (1 day 2h ago)
  Command Line: /usr/bin/ksysguard
    Executable: /usr/bin/ksysguard
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (matt)
       Boot ID: 4b0c8f1e60174a9582401f273cba6db9
    Machine ID: 68c534516091436b931b8f2dd87b8100
      Hostname: dimension
       Storage: /var/lib/systemd/coredump/core.ksysguard.1000.4b0c8f1e60174a9582401f273cba6db9.2847.1539819898000000.lz4
       Message: Process 2847 (ksysguard) of user 1000 dumped core.
                
                Stack trace of thread 2847:
                #0  0x00000000b69343bd _ZN13QLabelPrivate13clearContentsEv (libQt5Widgets.so.5)
                #1  0x00000000b6935045 _ZN6QLabel7setTextERK7QString (libQt5Widgets.so.5)
                #2  0x00000000b7f5a49c n/a (libkdeinit5_ksysguard.so)
                #3  0x00000000b75dd925 _ZN5KSGRD11SensorAgent13processAnswerEPKci (libksgrd.so.7)
                #4  0x00000000b75e4e8e n/a (libksgrd.so.7)
                #5  0x00000000b5eb13f4 _ZN9QtPrivate15QSlotObjectBase4callEP7QObjectPPv (libQt5Core.so.5)
                #6  0x00000000b5eb1901 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #7  0x00000000b5e1e855 _ZN8QProcess23readyReadStandardOutputENS_14QPrivateSignalE (libQt5Core.so.5)
                #8  0x00000000b5e2400b _ZN15QProcessPrivate18tryReadFromChannelEPNS_7ChannelE (libQt5Core.so.5)
                #9  0x00000000b5e245e7 _ZN15QProcessPrivate24_q_canReadStandardOutputEv (libQt5Core.so.5)
                #10 0x00000000b5eb12c6 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #11 0x00000000b5eb1901 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #12 0x00000000b5ebd45a _ZN15QSocketNotifier9activatedEiNS_14QPrivateSignalE (libQt5Core.so.5)
                #13 0x00000000b5ebd822 _ZN15QSocketNotifier5eventEP6QEvent (libQt5Core.so.5)
                #14 0x00000000b67e5d1a _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #15 0x00000000b67eddc9 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #16 0x00000000b5e866e6 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                #17 0x00000000b5ede4b4 _ZN16QCoreApplication9sendEventEP7QObjectP6QEvent (libQt5Core.so.5)
                #18 0x00000000afecf5c5 g_main_dispatch (libglib-2.0.so.0)
                #19 0x00000000afecf9a9 g_main_context_iterate (libglib-2.0.so.0)
                #20 0x00000000afecfa5b g_main_context_iteration (libglib-2.0.so.0)
                #21 0x00000000b5edda2d _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #22 0x00000000ad2af697 _ZN22QPAEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5XcbQpa.so.5)
                #23 0x00000000b5e853df _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #24 0x00000000b5e8dc62 _ZN16QCoreApplication4execEv (libQt5Core.so.5)
                #25 0x00000000b622a325 _ZN15QGuiApplication4execEv (libQt5Gui.so.5)
                #26 0x00000000b67e5c88 _ZN12QApplication4execEv (libQt5Widgets.so.5)
                #27 0x00000000b7f5c03c kdemain (libkdeinit5_ksysguard.so)
                #28 0x00000000004230cb n/a (ksysguard)
                #29 0x00000000b5834c09 __libc_start_main (libc.so.6)
                #30 0x0000000000423109 _start (ksysguard)

...
Core was generated by `/usr/bin/ksysguard'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb69343bd in QLabelPrivate::clearContents (this=0xe2af28)
    at widgets/qlabel.cpp:1302
1302        delete picture;
[Current thread is 1 (Thread 0xae2a9840 (LWP 2847))]
...
(gdb) bt full
#0  0xb69343bd in QLabelPrivate::clearContents() (this=0xe2af28)
    at widgets/qlabel.cpp:1302
        q = <optimized out>
#1  0xb6935045 in QLabel::setText(QString const&) (this=0xeaa200, text=...)
    at widgets/qlabel.cpp:293
        d = 0xe2af28
        oldControl = 0x2
#2  0xb7f5a49c in TopLevel::answerReceived(int, QList<QByteArray> const&)
    (this=0xe2bae0, id=1, answerList=...)
    at /usr/src/debug/ksysguard-5.13.5-1.fc29.i386/gui/ksysguard.cpp:450
        percent = <optimized out>
        answer = {d = 0xea9710}
        s = {static null = {<No data fields>}, d = 0xee9410}
        unit = {static null = {<No data fields>}, d = 0xecbed0}
        mFree = 107812
        mUsedApplication = 719096
        mUsedTotal = 1174492
        sFree = 2518012
#3  0xb75dd925 in KSGRD::SensorAgent::processAnswer(char const*, int)
    (this=0xe8ab70, buf=0x117a1d0 "0.000000\nksysguardd> 105580\nksysguardd> 1176724\nksysguardd> 719880\nksysguardd> 2518012\nksysguardd> 107520\nksysguardd> 0.000000\nksysguardd> 0.000000\nksysguardd> 0.000000\nksysguardd> 0.000000\nksysguardd"..., buflen=618)
    at /usr/src/debug/libksysguard-5.13.5-1.fc29.i386/ksgrd/SensorAgent.cpp:91
        answer = {d = 0xea9710}
        req = 0x11337f0
        i = <optimized out>
--Type <RET> for more, q to quit, c to continue without paging--
        buffer = {d = 0x10800a0}
        startOfAnswer = <optimized out>
#4  0xb75e4e8e in KSGRD::SensorShellAgent::msgRcvd() (this=0xe8ab70)
    at /usr/include/qt5/QtCore/qarraydata.h:206
        buffer = {d = 0x117a1c0}
#5  0xb5eb13f4 in QtPrivate::QSlotObjectBase::call(QObject*, void**)
    (a=0xbfc4b064, r=0xe8ab70, this=0xe93c10)
    at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:376
        obj = {d = 0xe93c10}
        receiver = 0xe8ab70
        receiverInSameThread = <optimized out>
        sw = 
          {receiver = 0xe8ab70, previousSender = 0x0, currentSender = {sender = 0xe93e00, signal = 15, ref = 1}, switched = true}
        c = 0xea8740
        last = 0xea8740
        locker = {val = 3054807932}
        connectionLists = {connectionLists = 0xe59df0}
        list = <optimized out>
        currentThreadId = 0xae2a9840
        signal_index = 15
        empty_argv = {0x0}
#6  0xb5eb13f4 in QMetaObject::activate(QObject*, int, int, void**)
    (sender=<optimized out>, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3754
        obj = {d = 0xe93c10}
        receiver = 0xe8ab70
--Type <RET> for more, q to quit, c to continue without paging--
        receiverInSameThread = <optimized out>
        sw = 
          {receiver = 0xe8ab70, previousSender = 0x0, currentSender = {sender = 0xe93e00, signal = 15, ref = 1}, switched = true}
        c = 0xea8740
        last = 0xea8740
        locker = {val = 3054807932}
        connectionLists = {connectionLists = 0xe59df0}
        list = <optimized out>
        currentThreadId = 0xae2a9840
        signal_index = 15
        empty_argv = {0x0}
#7  0xb5eb1901 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**)
    (sender=0xe93e00, m=0xb6144a4c <QProcess::staticMetaObject>, local_signal_index=6, argv=0xbfc4b064) at kernel/qobject.cpp:3633
#8  0xb5e1e855 in QProcess::readyReadStandardOutput(QProcess::QPrivateSignal) (
    this=0xe93e00, _t1=...) at .moc/moc_qprocess.cpp:362
        _a = {0x0, 0xbfc4b084}
#9  0xb5e2400b in QProcessPrivate::tryReadFromChannel(QProcessPrivate::Channel*)
    (this=<optimized out>, channel=<optimized out>) at io/qprocess.cpp:1070
        q = 0xe93e00
        available = <optimized out>
        channelIdx = QProcess::StandardOutput
        readBuffer = 
          @0xe59c00: {buffers = {d = 0xee9d90}, bufferSize = 0, basicBlockSize = 4096}
        ptr = <optimized out>
--Type <RET> for more, q to quit, c to continue without paging--c
        readBytes = <optimized out>
        didRead = true
#10 0xb5e245e7 in QProcessPrivate::_q_canReadStandardOutput() (this=<optimized out>) at io/qprocess.cpp:1081
        _r = <optimized out>
        _t = 0xe93e00
#11 0xb5e245e7 in QProcess::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0xe93e00, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfc4b1e0) at .moc/moc_qprocess.cpp:207
        _r = <optimized out>
        _t = 0xe93e00
#12 0xb5eb12c6 in QMetaObject::activate(QObject*, int, int, void**) (sender=<optimized out>, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3771
        methodIndex = <optimized out>
        method_relative = 10
        callFunction = 0xb5e24370 <QProcess::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>
        receiver = 0xe93e00
        receiverInSameThread = <optimized out>
        sw = {receiver = 0xe93e00, previousSender = 0x0, currentSender = {sender = 0xe8a8a0, signal = 3, ref = 1}, switched = true}
        c = 0xed73e0
        last = 0xed73e0
        locker = {val = 3054807944}
        connectionLists = {connectionLists = 0xee5b40}
        list = <optimized out>
        currentThreadId = 0xae2a9840
        signal_index = 3
        empty_argv = {0x0}
#13 0xb5eb1901 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=0xe8a8a0, m=0xb6145948 <QSocketNotifier::staticMetaObject>, local_signal_index=0, argv=0xbfc4b1e0) at kernel/qobject.cpp:3633
#14 0xb5ebd45a in QSocketNotifier::activated(int, QSocketNotifier::QPrivateSignal) (this=0xe8a8a0, _t1=<optimized out>, _t2=...) at .moc/moc_qsocketnotifier.cpp:136
        _a = {0x0, 0xbfc4b204, 0xbfc4b208}
#15 0xb5ebd822 in QSocketNotifier::event(QEvent*) (this=0xe8a8a0, e=0xbfc4b430) at kernel/qsocketnotifier.cpp:266
        d = 0xea7ff0
#16 0xb67e5d1a in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=0xd59800, receiver=0xe8a8a0, e=0xbfc4b430) at kernel/qapplication.cpp:3727
        consumed = <optimized out>
#17 0xb67eddc9 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3486
#18 0xb5e866e6 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0xe8a8a0, event=0xbfc4b430) at kernel/qcoreapplication.cpp:1048
        selfRequired = <optimized out>
        result = false
        cbdata = {0xe8a8a0, 0xbfc4b430, 0xbfc4b3df}
        d = <optimized out>
        threadData = 0xbfc4b430
        scopeLevelCounter = {threadData = 0xbfc4b430}
#19 0xb5ede4b4 in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0xbfc4b430, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
        p = <optimized out>
        i = 2
        event = {_vptr.QEvent = 0xb6145644 <vtable for QEvent+8>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0xb6020960 <qt_meta_stringdata_QEvent>, data = 0xb60203a0 <qt_meta_data_QEvent>, static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}, d = 0x0, t = 50, posted = 0, spont = 0, m_accept = 1, reserved = 5826}
#20 0xb5ede4b4 in socketNotifierSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0xdeb880) at kernel/qeventdispatcher_glib.cpp:106
        p = <optimized out>
        i = 2
        event = {_vptr.QEvent = 0xb6145644 <vtable for QEvent+8>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0xb6020960 <qt_meta_stringdata_QEvent>, data = 0xb60203a0 <qt_meta_data_QEvent>, static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}, d = 0x0, t = 50, posted = 0, spont = 0, m_accept = 1, reserved = 5826}
#21 0xafecf5c5 in g_main_dispatch (context=0xac8049d0) at gmain.c:3182
        dispatch = <optimized out>
        prev_source = 0x0
        was_in_call = 0
        user_data = 0x0
        callback = 0x0
        cb_funcs = 0x0
        cb_data = 0x0
        need_destroy = <optimized out>
        source = 0xdeb880
        current = 0xd57648
        i = 1
        __func__ = "g_main_dispatch"
#22 0xafecf5c5 in g_main_context_dispatch (context=0xac8049d0) at gmain.c:3847
#23 0xafecf9a9 in g_main_context_iterate (context=context@entry=0xac8049d0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3920
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 6
        allocated_nfds = <optimized out>
        fds = <optimized out>
#24 0xafecfa5b in g_main_context_iteration (context=0xac8049d0, may_block=1) at gmain.c:3981
        retval = <optimized out>
#25 0xb5edda2d in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0xdeb280, flags=...) at kernel/qeventdispatcher_glib.cpp:423
        d = 0xdebc40
        canWait = true
        savedFlags = {i = 0}
        result = <optimized out>
#26 0xad2af697 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0xdeb280, flags=...) at qeventdispatcher_glib.cpp:69
        didSendEvents = <optimized out>
#27 0xb5e853df in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
        d = 0x10c85f0
        locker = {val = 13977648}
        ref = {d = 0x10c85f0, locker = @0xbfc4b5c4, exceptionCaught = true}
        app = <optimized out>
#28 0xb5e8dc62 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
        threadData = 0xd54790
        eventLoop = {<QObject> = {_vptr.QObject = 0xb6145530 <vtable for QEventLoop+8>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0xb6023d20 <qt_meta_stringdata_QObject>, data = 0xb6023c00 <qt_meta_data_QObject>, static_metacall = 0xb5eb8b60 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, d_ptr = {d = 0x10c85f0}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0xb6026aa0 <qt_meta_stringdata_Qt>, data = 0xb6023e00 <qt_meta_data_Qt>, static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xb6140a24 <QObject::staticMetaObject>, stringdata = 0xb601ffa0 <qt_meta_stringdata_QEventLoop>, data = 0xb601ff40 <qt_meta_data_QEventLoop>, static_metacall = 0xb5e85070 <QEventLoop::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}
        returnCode = <optimized out>
#29 0xb622a325 in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1761
#30 0xb67e5c88 in QApplication::exec() () at kernel/qapplication.cpp:2901
#31 0xb7f5c03c in kdemain(int, char**) (argc=<optimized out>, argv=0xbfc4b7e4) at /usr/src/debug/ksysguard-5.13.5-1.fc29.i386/gui/ksysguard.cpp:609
        app = {<QGuiApplication> = {<QCoreApplication> = {<QObject> = {_vptr.QObject = 0xb6df6cd8 <vtable for QApplication+8>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0xb6023d20 <qt_meta_stringdata_QObject>, data = 0xb6023c00 <qt_meta_data_QObject>, static_metacall = 0xb5eb8b60 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, d_ptr = {d = 0xd59800}, static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0xb6026aa0 <qt_meta_stringdata_Qt>, data = 0xb6023e00 <qt_meta_data_Qt>, static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xb6140a24 <QObject::staticMetaObject>, stringdata = 0xb6020160 <qt_meta_stringdata_QCoreApplication>, data = 0xb6020040 <qt_meta_data_QCoreApplication>, static_metacall = 0xb5e88370 <QCoreApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static self = 0xbfc4b6e8}, static staticMetaObject = {d = {superdata = 0xb61455ec <QCoreApplication::staticMetaObject>, stringdata = 0xb6584680 <qt_meta_stringdata_QGuiApplication>, data = 0xb6584400 <qt_meta_data_QGuiApplication>, static_metacall = 0xb6237300 <QGuiApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0xb66e6068 <QGuiApplication::staticMetaObject>, stringdata = 0xb6bcec80 <qt_meta_stringdata_QApplication>, data = 0xb6bceb00 <qt_meta_data_QApplication>, static_metacall = 0xb67eb180 <QApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}
        aboutData = {d = 0xdf4160}
        parser = {d = 0xe28eb0}
        dbusService = <incomplete type>
        result = <optimized out>
#32 0x004230cb in main ()

The other three crashes didn't produce core dumps which are still available. The following crash had a trace which was similar if not the same as the one above.

coredumpctl debug 10637
           PID: 10637 (ksysguard)
           UID: 1000 (matt)
           GID: 1000 (matt)
        Signal: 11 (SEGV)
     Timestamp: Mon 2018-10-08 00:50:33 EDT (1 weeks 3 days ago)
  Command Line: /usr/bin/ksysguard
    Executable: /usr/bin/ksysguard
 Control Group: /user.slice/user-1000.slice/session-9.scope
          Unit: session-9.scope
         Slice: user-1000.slice
       Session: 9
     Owner UID: 1000 (matt)
       Boot ID: d6f408ae754a4f068fa55f1b3c90a6c4
    Machine ID: 68c534516091436b931b8f2dd87b8100
      Hostname: dimension
       Storage: /var/lib/systemd/coredump/core.ksysguard.1000.d6f408ae754a4f068fa55f1b3c90a6c4.10637.1538974233000000.lz4 (inaccessible)
       Message: Process 10637 (ksysguard) of user 1000 dumped core.
                
                Stack trace of thread 10637:
                #0  0x00000000b68cb34a _ZN13QLabelPrivate13clearContentsEv (libQt5Widgets.so.5)
                #1  0x00000000b68cbfd5 _ZN6QLabel7setTextERK7QString (libQt5Widgets.so.5)
                #2  0x00000000b7eab119 _ZN8TopLevel14answerReceivedEiRK5QListI10QByteArrayE (libkdeinit5_ksysguard.so)
                #3  0x00000000b7574ad5 _ZN5KSGRD11SensorAgent13processAnswerEPKci (libksgrd.so.7)
                #4  0x00000000b757c03e _ZN5KSGRD16SensorShellAgent7msgRcvdEv (libksgrd.so.7)
                #5  0x00000000b5e54d64 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #6  0x00000000b5e55271 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #7  0x00000000b5dc2125 _ZN8QProcess23readyReadStandardOutputENS_14QPrivateSignalE (libQt5Core.so.5)
                #8  0x00000000b5dc78dd _ZN15QProcessPrivate18tryReadFromChannelEPNS_7ChannelE (libQt5Core.so.5)
                #9  0x00000000b5dc7eb7 _ZN8QProcess18qt_static_metacallEP7QObjectN11QMetaObject4CallEiPPv (libQt5Core.so.5)
                #10 0x00000000b5e54c36 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #11 0x00000000b5e55271 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #12 0x00000000b5e60dca _ZN15QSocketNotifier9activatedEiNS_14QPrivateSignalE (libQt5Core.so.5)
                #13 0x00000000b5e61192 _ZN15QSocketNotifier5eventEP6QEvent (libQt5Core.so.5)
                #14 0x00000000b678122a _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #15 0x00000000b6789279 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #16 0x00000000b5e2a0a6 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                #17 0x00000000b5e81fa4 _ZL28socketNotifierSourceDispatchP8_GSourcePFiPvES1_ (libQt5Core.so.5)
                #18 0x00000000afe53855 g_main_context_dispatch (libglib-2.0.so.0)
                #19 0x00000000afe53c41 g_main_context_iterate.isra.20 (libglib-2.0.so.0)
                #20 0x00000000afe53ceb g_main_context_iteration (libglib-2.0.so.0)
                #21 0x00000000b5e8151d _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #22 0x00000000ad0aea97 _ZN22QPAEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5XcbQpa.so.5)
                #23 0x00000000b5e28d9f _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #24 0x00000000b5e31622 _ZN16QCoreApplication4execEv (libQt5Core.so.5)
                #25 0x00000000b61c8785 _ZN15QGuiApplication4execEv (libQt5Gui.so.5)
                #26 0x00000000b6781198 _ZN12QApplication4execEv (libQt5Widgets.so.5)
                #27 0x00000000b7eaccbc kdemain (libkdeinit5_ksysguard.so)
                #28 0x000000000040589b main (ksysguard)
                #29 0x00000000b57b40d1 __libc_start_main (libc.so.6)
                #30 0x00000000004058d9 _start (ksysguard)

File "/var/lib/systemd/coredump/core.ksysguard.1000.d6f408ae754a4f068fa55f1b3c90a6c4.10637.1538974233000000.lz4" is not readable: No such file or directory

The other two crashes had traces which were similar if not the same as each other's but different from those above. All four crashes contained 
#1 ... _ZN6QLabel7setTextERK7QString (libQt5Widgets.so.5)
That function QLabel::setText at widgets/qlabel.cpp:293 might be a common factor in the crashes. All four crashes involved 
#2 ... libkdeinit5_ksysguard.so
#3 ... libksgrd.so.7
#4 ... libksgrd.so.7
#5 ... libQt5Core.so.5
...

coredumpctl debug 3638
           PID: 3638 (ksysguard)
           UID: 1000 (matt)
           GID: 1000 (matt)
        Signal: 11 (SEGV)
     Timestamp: Wed 2018-10-10 22:31:17 EDT (1 weeks 1 days ago)
  Command Line: /usr/bin/ksysguard
    Executable: /usr/bin/ksysguard
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (matt)
       Boot ID: fcc0d31c04284b719ee24c3a07046eaa
    Machine ID: 68c534516091436b931b8f2dd87b8100
      Hostname: dimension
       Storage: /var/lib/systemd/coredump/core.ksysguard.1000.fcc0d31c04284b719ee24c3a07046eaa.3638.1539225077000000.lz4 (inaccessible)
       Message: Process 3638 (ksysguard) of user 1000 dumped core.
                
                Stack trace of thread 3638:
                #0  0x00000000b5c8b172 _ZeqRK7QStringS1_ (libQt5Core.so.5)
                #1  0x00000000b686efff _ZN6QLabel7setTextERK7QString (libQt5Widgets.so.5)
                #2  0x00000000b7e9449c n/a (libkdeinit5_ksysguard.so)
                #3  0x00000000b7517925 _ZN5KSGRD11SensorAgent13processAnswerEPKci (libksgrd.so.7)
                #4  0x00000000b751ee8e n/a (libksgrd.so.7)
                #5  0x00000000b5deb3f4 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #6  0x00000000b5deb901 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #7  0x00000000b5d58855 _ZN8QProcess23readyReadStandardOutputENS_14QPrivateSignalE (libQt5Core.so.5)
                #8  0x00000000b5d5e00b _ZN15QProcessPrivate18tryReadFromChannelEPNS_7ChannelE (libQt5Core.so.5)
                #9  0x00000000b5d5e5e7 _ZN8QProcess18qt_static_metacallEP7QObjectN11QMetaObject4CallEiPPv (libQt5Core.so.5)
                #10 0x00000000b5deb2c6 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #11 0x00000000b5deb901 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #12 0x00000000b5df745a _ZN15QSocketNotifier9activatedEiNS_14QPrivateSignalE (libQt5Core.so.5)
                #13 0x00000000b5df7822 _ZN15QSocketNotifier5eventEP6QEvent (libQt5Core.so.5)
                #14 0x00000000b671fd1a _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #15 0x00000000b6727dc9 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #16 0x00000000b5dc06e6 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                #17 0x00000000b5e184b4 _ZL28socketNotifierSourceDispatchP8_GSourcePFiPvES1_ (libQt5Core.so.5)
                #18 0x00000000afe095c5 g_main_context_dispatch (libglib-2.0.so.0)
                #19 0x00000000afe099a9 n/a (libglib-2.0.so.0)
                #20 0x00000000afe09a5b g_main_context_iteration (libglib-2.0.so.0)
                #21 0x00000000b5e17a2d _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #22 0x00000000ad8da697 _ZN22QPAEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5XcbQpa.so.5)
                #23 0x00000000b5dbf3df _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #24 0x00000000b5dc7c62 _ZN16QCoreApplication4execEv (libQt5Core.so.5)
                #25 0x00000000b6164325 _ZN15QGuiApplication4execEv (libQt5Gui.so.5)
                #26 0x00000000b671fc88 _ZN12QApplication4execEv (libQt5Widgets.so.5)
                #27 0x00000000b7e9603c kdemain (libkdeinit5_ksysguard.so)
                #28 0x000000000048e0cb n/a (ksysguard)
                #29 0x00000000b576ec09 __libc_start_main (libc.so.6)
                #30 0x000000000048e109 _start (ksysguard)

coredumpctl debug 4701
           PID: 4701 (ksysguard)
           UID: 1000 (matt)
           GID: 1000 (matt)
        Signal: 11 (SEGV)
     Timestamp: Sun 2018-10-07 20:08:07 EDT (1 weeks 4 days ago)
  Command Line: /usr/bin/ksysguard
    Executable: /usr/bin/ksysguard
 Control Group: /user.slice/user-1000.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-1000.slice
       Session: 2
     Owner UID: 1000 (matt)
       Boot ID: d6f408ae754a4f068fa55f1b3c90a6c4
    Machine ID: 68c534516091436b931b8f2dd87b8100
      Hostname: dimension
       Storage: /var/lib/systemd/coredump/core.ksysguard.1000.d6f408ae754a4f068fa55f1b3c90a6c4.4701.1538957287000000.lz4 (inaccessible)
       Message: Process 4701 (ksysguard) of user 1000 dumped core.
                
                Stack trace of thread 4701:
                #0  0x00000000b5d1c2ef _ZeqRK7QStringS1_ (libQt5Core.so.5)
                #1  0x00000000b68f2f8f _ZN6QLabel7setTextERK7QString (libQt5Widgets.so.5)
                #2  0x00000000b7ed2119 _ZN8TopLevel14answerReceivedEiRK5QListI10QByteArrayE (libkdeinit5_ksysguard.so)
                #3  0x00000000b759bad5 _ZN5KSGRD11SensorAgent13processAnswerEPKci (libksgrd.so.7)
                #4  0x00000000b75a303e _ZN5KSGRD16SensorShellAgent7msgRcvdEv (libksgrd.so.7)
                #5  0x00000000b5e7bd64 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #6  0x00000000b5e7c271 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #7  0x00000000b5de9125 _ZN8QProcess23readyReadStandardOutputENS_14QPrivateSignalE (libQt5Core.so.5)
                #8  0x00000000b5dee8dd _ZN15QProcessPrivate18tryReadFromChannelEPNS_7ChannelE (libQt5Core.so.5)
                #9  0x00000000b5deeeb7 _ZN8QProcess18qt_static_metacallEP7QObjectN11QMetaObject4CallEiPPv (libQt5Core.so.5)
                #10 0x00000000b5e7bc36 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                #11 0x00000000b5e7c271 _ZN11QMetaObject8activateEP7QObjectPKS_iPPv (libQt5Core.so.5)
                #12 0x00000000b5e87dca _ZN15QSocketNotifier9activatedEiNS_14QPrivateSignalE (libQt5Core.so.5)
                #13 0x00000000b5e88192 _ZN15QSocketNotifier5eventEP6QEvent (libQt5Core.so.5)
                #14 0x00000000b67a822a _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #15 0x00000000b67b0279 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                #16 0x00000000b5e510a6 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                #17 0x00000000b5ea8fa4 _ZL28socketNotifierSourceDispatchP8_GSourcePFiPvES1_ (libQt5Core.so.5)
                #18 0x00000000afe7a855 g_main_context_dispatch (libglib-2.0.so.0)
                #19 0x00000000afe7ac41 g_main_context_iterate.isra.20 (libglib-2.0.so.0)
                #20 0x00000000afe7aceb g_main_context_iteration (libglib-2.0.so.0)
                #21 0x00000000b5ea851d _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                #22 0x00000000ad0aea97 _ZN22QPAEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5XcbQpa.so.5)
                #23 0x00000000b5e4fd9f _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                #24 0x00000000b5e58622 _ZN16QCoreApplication4execEv (libQt5Core.so.5)
                #25 0x00000000b61ef785 _ZN15QGuiApplication4execEv (libQt5Gui.so.5)
                #26 0x00000000b67a8198 _ZN12QApplication4execEv (libQt5Widgets.so.5)
                #27 0x00000000b7ed3cbc kdemain (libkdeinit5_ksysguard.so)
                #28 0x000000000044789b main (ksysguard)
                #29 0x00000000b57db0d1 __libc_start_main (libc.so.6)
                #30 0x00000000004478d9 _start (ksysguard)

I can provide more information if it would help.
Comment 17 Christoph Feck 2018-10-28 04:06:38 UTC
*** Bug 400300 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2018-10-28 04:06:46 UTC
*** Bug 400375 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2018-11-09 09:33:40 UTC
*** Bug 400499 has been marked as a duplicate of this bug. ***
Comment 20 Christoph Feck 2018-11-09 12:53:57 UTC
*** Bug 400515 has been marked as a duplicate of this bug. ***
Comment 21 Christoph Feck 2019-02-08 16:10:18 UTC
*** Bug 403126 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2019-02-08 16:10:33 UTC
*** Bug 403291 has been marked as a duplicate of this bug. ***
Comment 23 dagobertram 2019-03-10 16:52:10 UTC
Created attachment 118692 [details]
New crash information added by DrKonqi

ksysguard (5.15.2) using Qt 5.12.0

- What I was doing when the application crashed:
KSysGuard has crashed when I closed it. Prior to closing it, I had 'baloo' typed in the Quick search field.

-- Backtrace (Reduced):
#6  0x00007fb2f890368a in operator== (s1=..., s2=...) at tools/qstring.cpp:3334
#7  0x00007fb2f9e9c537 in QLabel::setText (this=0x562be921a9e0, text=...) at widgets/qlabel.cpp:287
#8  0x00007fb2fd6b6400 in TopLevel::answerReceived (this=0x562be9218c00, id=<optimized out>, answerList=...) at ./gui/ksysguard.cpp:467
#9  0x00007fb2fc702b72 in KSGRD::SensorAgent::processAnswer(char const*, int) () from /usr/lib/x86_64-linux-gnu/libksgrd.so.7
[...]
#11 0x00007fb2f8a82f3f in QtPrivate::QSlotObjectBase::call (a=0x7ffd43d383e0, r=0x562be92ddc10, this=0x562be92ba590) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
Comment 24 Christoph Feck 2019-05-30 19:16:59 UTC
*** Bug 407394 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2019-06-25 14:36:04 UTC
*** Bug 408378 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2019-06-25 14:36:20 UTC
*** Bug 409057 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2019-07-16 12:19:23 UTC
*** Bug 409048 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2019-08-05 20:13:59 UTC
*** Bug 409981 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2019-09-17 02:08:53 UTC
*** Bug 411325 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2019-11-01 20:49:36 UTC
*** Bug 412868 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2019-11-01 20:49:55 UTC
*** Bug 413056 has been marked as a duplicate of this bug. ***
Comment 32 Christoph Feck 2019-12-01 14:34:06 UTC
*** Bug 413942 has been marked as a duplicate of this bug. ***
Comment 33 Christoph Feck 2019-12-27 17:47:26 UTC
*** Bug 414845 has been marked as a duplicate of this bug. ***
Comment 34 Christoph Feck 2019-12-27 17:47:38 UTC
*** Bug 414802 has been marked as a duplicate of this bug. ***
Comment 35 Christoph Feck 2019-12-27 17:48:52 UTC
*** Bug 415503 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2019-12-27 17:49:07 UTC
*** Bug 414491 has been marked as a duplicate of this bug. ***
Comment 37 Christoph Feck 2020-03-30 09:06:06 UTC
*** Bug 418449 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2020-03-30 09:06:11 UTC
*** Bug 418491 has been marked as a duplicate of this bug. ***
Comment 39 b.raz027 2020-04-17 14:16:07 UTC
Created attachment 127615 [details]
New crash information added by DrKonqi

ksysguard (5.18.3) using Qt 5.12.4

- What I was doing when the application crashed:

I closed the application (ksysguard), using the typical X button located at the top right of the window. The application then closed, and a bug report was generated. I am only submitting this report due to the possibility of my backtrace being useful.

-- Backtrace (Reduced):
#6  0x00007faef40836dd in operator==(QString const&, QString const&) () at /lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007faef4e6033b in QLabel::setText(QString const&) () at /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007faef5cf3c53 in  () at /lib/x86_64-linux-gnu/libkdeinit5_ksysguard.so
#9  0x00007faef5920398 in KSGRD::SensorAgent::processAnswer(char const*, int) () at /lib/x86_64-linux-gnu/libksgrd.so.7
#10 0x00007faef5927972 in  () at /lib/x86_64-linux-gnu/libksgrd.so.7
Comment 40 Jiri Palecek 2020-04-26 21:21:10 UTC
*** Bug 420281 has been marked as a duplicate of this bug. ***
Comment 41 Jiri Palecek 2020-04-26 21:21:50 UTC
*** Bug 419940 has been marked as a duplicate of this bug. ***
Comment 42 Jiri Palecek 2020-04-26 21:22:38 UTC
*** Bug 419784 has been marked as a duplicate of this bug. ***
Comment 43 Jiri Palecek 2020-04-26 21:28:06 UTC
This one is easy; I will post a fix to phabricator
Comment 44 Christoph Feck 2020-05-04 09:31:53 UTC
*** Bug 420952 has been marked as a duplicate of this bug. ***
Comment 45 Christoph Feck 2020-05-04 10:03:31 UTC
*** Bug 419893 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2020-06-19 21:54:59 UTC
*** Bug 421995 has been marked as a duplicate of this bug. ***
Comment 47 kde 2020-07-10 01:23:52 UTC
Created attachment 130015 [details]
backtrace
Comment 48 kde 2020-07-10 01:24:33 UTC
Operating System: openSUSE Tumbleweed 20200707
KDE Plasma Version: 5.19.2
KDE Frameworks Version: 5.71.0
Qt Version: 5.15.0
Kernel Version: 5.7.7-1-default
OS Type: 64-bit
Comment 49 Christoph Feck 2020-07-11 07:15:41 UTC
*** Bug 423382 has been marked as a duplicate of this bug. ***
Comment 50 Germano Massullo 2020-07-22 20:05:05 UTC
ksysguard 5.18.5
KDE Frameworks 5.70.0
Qt 5.14.2


Application: Monitor di sistema (ksysguard), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
29	  return SYSCALL_CANCEL (poll, fds, nfds, timeout);
[Current thread is 1 (Thread 0x7fcc840da980 (LWP 16244))]

Thread 22 (Thread 0x7fcc38bf9700 (LWP 16300)):
#0  __GI___libc_read (nbytes=16, buf=0x7fcc38bf89a0, fd=12) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=12, buf=buf@entry=0x7fcc38bf89a0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007fcc87b8c53f in read (__nbytes=16, __buf=0x7fcc38bf89a0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x5587e1c72fb0) at ../glib/gwakeup.c:210
#4  0x00007fcc87b4260e in g_main_context_check (context=context@entry=0x7fcc14000c20, max_priority=2147483647, fds=fds@entry=0x7fcc14004e60, n_fds=n_fds@entry=1) at ../glib/gmain.c:3825
#5  0x00007fcc87b42a75 in g_main_context_iterate (context=context@entry=0x7fcc14000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4044
#6  0x00007fcc87b42c03 in g_main_context_iteration (context=0x7fcc14000c20, may_block=may_block@entry=1) at ../glib/gmain.c:4108
#7  0x00007fcc904dfb8b in QEventDispatcherGlib::processEvents (this=0x7fcc14000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007fcc9049291b in QEventLoop::exec (this=this@entry=0x7fcc38bf8bd0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#9  0x00007fcc902fe427 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#10 0x00007fcc9080851b in QDBusConnectionManager::run (this=0x7fcc90877060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#11 0x00007fcc902ff690 in QThreadPrivate::start (arg=0x7fcc90877060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#12 0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fcc397fa700 (LWP 16299)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1bfef90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1bfef40, cond=0x5587e1bfef68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1bfef68, mutex=0x5587e1bfef40) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1bfef40, cond=0x5587e1bfef68) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b855b0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fcc39ffb700 (LWP 16298)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b37be8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37b98, cond=0x5587e1b37bc0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b37bc0, mutex=0x5587e1b37b98) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37b98, cond=0x5587e1b37bc0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b3c9e0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fcc3a7fc700 (LWP 16297)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b37be8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37b98, cond=0x5587e1b37bc0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b37bc0, mutex=0x5587e1b37b98) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37b98, cond=0x5587e1b37bc0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b3c780) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7fcc3affd700 (LWP 16296)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b37be8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37b98, cond=0x5587e1b37bc0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b37bc0, mutex=0x5587e1b37b98) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37b98, cond=0x5587e1b37bc0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b3c520) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7fcc3b7fe700 (LWP 16295)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b37be8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37b98, cond=0x5587e1b37bc0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b37bc0, mutex=0x5587e1b37b98) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37b98, cond=0x5587e1b37bc0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b38320) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fcc3bfff700 (LWP 16294)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b382e0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fcc50ff9700 (LWP 16293)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b382a0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fcc517fa700 (LWP 16292)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b38260) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fcc51ffb700 (LWP 16291)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b38220) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fcc527fc700 (LWP 16290)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b381e0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fcc52ffd700 (LWP 16289)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b381a0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fcc537fe700 (LWP 16288)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b38160) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fcc53fff700 (LWP 16287)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b38120) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fcc68953700 (LWP 16286)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b374e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b37490, cond=0x5587e1b374b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b374b8, mutex=0x5587e1b37490) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b37490, cond=0x5587e1b374b8) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b39300) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fcc69154700 (LWP 16285)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7fcc70005678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fcc70005628, cond=0x7fcc70005650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7fcc70005650, mutex=0x7fcc70005628) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x7fcc70005628, cond=0x7fcc70005650) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b39270) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fcc69955700 (LWP 16284)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7fcc70005678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fcc70005628, cond=0x7fcc70005650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7fcc70005650, mutex=0x7fcc70005628) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x7fcc70005628, cond=0x7fcc70005650) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b39230) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fcc6a156700 (LWP 16283)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7fcc70005678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fcc70005628, cond=0x7fcc70005650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7fcc70005650, mutex=0x7fcc70005628) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x7fcc70005628, cond=0x7fcc70005650) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b391f0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fcc6a957700 (LWP 16282)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7fcc70005678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7fcc70005628, cond=0x7fcc70005650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7fcc70005650, mutex=0x7fcc70005628) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x7fcc70005628, cond=0x7fcc70005650) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b389e0) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fcc748cd700 (LWP 16281)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x5587e1b33388) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5587e1b33338, cond=0x5587e1b33360) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5587e1b33360, mutex=0x5587e1b33338) at pthread_cond_wait.c:638
#3  0x00007fcc74e5526b in cnd_wait (mtx=0x5587e1b33338, cond=0x5587e1b33360) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5587e1b30170) at ../src/util/u_queue.c:275
#5  0x00007fcc74e54d3b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fcc76e86700 (LWP 16245)):
#0  0x00007fcc91d08aaf in __GI___poll (fds=0x7fcc76e85b18, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fcc8851038a in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007fcc8851271a in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007fcc76fefc78 in QXcbEventQueue::run (this=0x5587e19b0e90) at qxcbeventqueue.cpp:228
#4  0x00007fcc902ff690 in QThreadPrivate::start (arg=0x5587e19b0e90) at thread/qthread_unix.cpp:342
#5  0x00007fcc88473432 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fcc91d13913 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fcc840da980 (LWP 16244)):
[KCrash Handler]
#4  0x00007fcc90383d7c in operator== (s1=..., s2=...) at text/qstring.cpp:3383
#5  0x00007fcc91089ff9 in QLabel::setText (this=0x5587e1ecbd90, text=...) at widgets/qlabel.cpp:287
#6  0x00007fcc91e499cb in TopLevel::answerReceived (this=0x5587e1cba050, id=<optimized out>, answerList=...) at /usr/src/debug/ksysguard-5.18.5-1.fc32.x86_64/gui/ksysguard.cpp:466
#7  0x00007fcc91ac44b2 in KSGRD::SensorAgent::processAnswer (this=0x5587e1d2b8b0, buf=<optimized out>, buflen=<optimized out>) at /usr/src/debug/libksysguard-5.18.5-1.fc32.x86_64/ksgrd/SensorAgent.cpp:91
#8  0x00007fcc91aca6c5 in KSGRD::SensorShellAgent::msgRcvd (this=0x5587e1d2b8b0) at /usr/include/qt5/QtCore/qarraydata.h:208
#9  0x00007fcc904c2f76 in QtPrivate::QSlotObjectBase::call (a=0x7ffcca30d920, r=0x5587e1d2b8b0, this=0x5587e1dc7000) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#10 doActivate<false> (sender=0x5587e1ea5210, signal_index=15, argv=argv@entry=0x7ffcca30d920) at kernel/qobject.cpp:3870
#11 0x00007fcc904bd7f8 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fcc90749e40 <QProcess::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7ffcca30d920) at kernel/qobject.cpp:3930
#12 0x00007fcc90427441 in QProcess::readyReadStandardOutput (this=<optimized out>, _t1=...) at .moc/moc_qprocess.cpp:367
#13 0x00007fcc9042ae8d in QProcessPrivate::tryReadFromChannel (this=0x5587e1d2c890, channel=0x5587e1d2c9a0) at io/qprocess.cpp:1057
#14 0x00007fcc9042b355 in QProcessPrivate::_q_canReadStandardError (this=<optimized out>) at io/qprocess.cpp:1084
#15 QProcess::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffcca30dad0) at .moc/moc_qprocess.cpp:210
#16 0x00007fcc904c2fb0 in doActivate<false> (sender=0x5587e1db0190, signal_index=3, argv=argv@entry=0x7ffcca30dad0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#17 0x00007fcc904bd7f8 in QMetaObject::activate (sender=sender@entry=0x5587e1db0190, m=m@entry=0x7fcc9074c220 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcca30dad0) at kernel/qobject.cpp:3930
#18 0x00007fcc904c5f4c in QSocketNotifier::activated (this=this@entry=0x5587e1db0190, _t1=<optimized out>, _t2=...) at .moc/moc_qsocketnotifier.cpp:141
#19 0x00007fcc904c62f1 in QSocketNotifier::event (this=0x5587e1db0190, e=0x7ffcca30dbc0) at kernel/qsocketnotifier.cpp:266
#20 0x00007fcc90f53063 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x5587e1db0190, e=0x7ffcca30dbc0) at kernel/qapplication.cpp:3685
#21 0x00007fcc90493fc0 in QCoreApplication::notifyInternal2 (receiver=0x5587e1db0190, event=0x7ffcca30dbc0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#22 0x00007fcc904e05d7 in socketNotifierSourceDispatch (source=source@entry=0x5587e1a77aa0) at kernel/qeventdispatcher_glib.cpp:107
#23 0x00007fcc87b427af in g_main_dispatch (context=0x7fcc70005000) at ../glib/gmain.c:3309
#24 g_main_context_dispatch (context=0x7fcc70005000) at ../glib/gmain.c:3974
#25 0x00007fcc87b42b38 in g_main_context_iterate (context=context@entry=0x7fcc70005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4047
#26 0x00007fcc87b42c03 in g_main_context_iteration (context=0x7fcc70005000, may_block=may_block@entry=1) at ../glib/gmain.c:4108
#27 0x00007fcc904dfb73 in QEventDispatcherGlib::processEvents (this=0x5587e1a7e910, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#28 0x00007fcc9049291b in QEventLoop::exec (this=this@entry=0x7ffcca30ddd0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#29 0x00007fcc9049a5a6 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#30 0x00007fcc909910b0 in QGuiApplication::exec () at kernel/qguiapplication.cpp:1853
#31 0x00007fcc90f52fd9 in QApplication::exec () at kernel/qapplication.cpp:2825
#32 0x00007fcc91e4aae3 in kdemain (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/ksysguard-5.18.5-1.fc32.x86_64/gui/ksysguard.cpp:627
#33 0x00007fcc91c39042 in __libc_start_main (main=0x5587e0bc1070 <main>, argc=1, argv=0x7ffcca30dff8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffcca30dfe8) at ../csu/libc-start.c:308
#34 0x00005587e0bc10ae in _start ()
[Inferior 1 (process 16244) detached]
Comment 51 Arcadiy Ivanov 2020-08-02 23:36:06 UTC
Created attachment 130597 [details]
New crash information added by DrKonqi

ksysguard (5.18.5) using Qt 5.14.2

- What I was doing when the application crashed:

Closing system monitor. Crashes every time.

-- Backtrace (Reduced):
#4  0x00007f892749ed52 in QLabelPrivate::clearContents() () from /lib64/libQt5Widgets.so.5
#5  0x00007f892749f03a in QLabel::setText(QString const&) () from /lib64/libQt5Widgets.so.5
#6  0x00007f892825e9cb in TopLevel::answerReceived(int, QList<QByteArray> const&) () from /lib64/libkdeinit5_ksysguard.so
#7  0x00007f8927ed94b2 in KSGRD::SensorAgent::processAnswer(char const*, int) () from /lib64/libksgrd.so.7
#8  0x00007f8927edf6c5 in KSGRD::SensorShellAgent::msgRcvd() () from /lib64/libksgrd.so.7
Comment 52 Christoph Feck 2020-08-26 21:56:04 UTC
*** Bug 425045 has been marked as a duplicate of this bug. ***
Comment 53 Christoph Feck 2020-08-26 21:56:22 UTC
*** Bug 425064 has been marked as a duplicate of this bug. ***
Comment 54 Florian Edelmann 2020-10-12 12:54:45 UTC
Created attachment 132296 [details]
New crash information added by DrKonqi

ksysguard (5.19.4) using Qt 5.14.2

- What I was doing when the application crashed:

Closed the system monitor by clicking on the close icon in the window title. No search query was entered before.

-- Backtrace (Reduced):
#4  0x00007ff501969434 in QWidget::sizePolicy() const (this=this@entry=0x55e40a2efae0) at kernel/qwidget.cpp:10072
#5  0x00007ff501a7263b in QLabelPrivate::updateLabel() (this=this@entry=0x55e40a2ef400) at widgets/qlabel.cpp:1132
#6  0x00007ff501a735fb in QLabel::setText(QString const&) (this=0x55e40a450d90, text=...) at widgets/qlabel.cpp:326
#7  0x00007ff504e23170 in TopLevel::answerReceived(int, QList<QByteArray> const&) (this=0x55e40a2a48e0, id=<optimized out>, answerList=...) at ./gui/ksysguard.cpp:466
#8  0x00007ff504558b8a in KSGRD::SensorAgent::processAnswer(char const*, int) () at /usr/lib/x86_64-linux-gnu/libksgrd.so.9
Comment 55 David 2021-03-06 22:33:28 UTC
Created attachment 136444 [details]
New crash information added by DrKonqi

ksysguard (5.20.5) using Qt 5.15.2

- What I was doing when the application crashed:
Closed ksysguard, while having "brave" typed in the search field

-- Backtrace (Reduced):
#4  0x00007ff8b3d66bdc in operator==(QString const&, QString const&) () from /lib64/libQt5Core.so.5
#5  0x00007ff8b4bd2db9 in QLabel::setText(QString const&) () from /lib64/libQt5Widgets.so.5
#6  0x00007ff8b5985f03 in TopLevel::answerReceived(int, QList<QByteArray> const&) () from /lib64/libkdeinit5_ksysguard.so
#7  0x00007ff8b56e4e1b in KSGRD::SensorAgent::processAnswer(char const*, int) () from /lib64/libksgrd.so.9
#8  0x00007ff8b56e7f20 in KSGRD::SensorShellAgent::msgRcvd() () from /lib64/libksgrd.so.9
Comment 56 Bernhard Übelacker 2021-10-04 14:55:57 UTC
I received some similar crashes when closing ksysguard.
Therefore I tried to do some more investigation using rr-debugger.

It was quite good reproducible by opening ksysguard, then watching
a partial build of e.g. wine (many short lived processes).


There I could track it down to following free,
which destroys the QLabel in sbCpuStat:


(rr) reverse-cont
Continuing.

Thread 1 hit Breakpoint 6, __GI___libc_free (mem=0x562c360be2e0) at malloc.c:3092
3092    in malloc.c
9: Toplevel = (class TopLevel *) 0x562c35c4ecf0
10: Toplevel->sbCpuStat = (class QLabel *) 0x562c360be2e0
11: Toplevel->sbCpuStat->d_ptr = {d = 0x562c36043d30}
12: x/i $pc
=> 0x7f2c687dd720 <__GI___libc_free>:   sub    $0x18,%rsp
(rr) bt
#0  __GI___libc_free (mem=0x562c360be2e0) at malloc.c:3092
#1  0x00007f2c66eacbde in QObjectPrivate::deleteChildren() (this=this@entry=0x562c360403c0) at kernel/qobject.cpp:2104
#2  0x00007f2c67b04736 in QWidget::~QWidget() (this=0x562c36040380, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1522
#3  0x00007f2c67c72319 in QStatusBar::~QStatusBar() (this=0x562c36040380, __in_chrg=<optimized out>) at widgets/qstatusbar.cpp:252
#4  0x00007f2c66eacbde in QObjectPrivate::deleteChildren() (this=this@entry=0x562c35c6d420) at kernel/qobject.cpp:2104
#5  0x00007f2c67b04736 in QWidget::~QWidget() (this=0x562c35c4ecf0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1522
#6  0x00007f2c68945aa7 in TopLevel::~TopLevel() (this=0x562c35c4ecf0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/include/ksysguard/ksgrd/SensorClient.h:44
#7  TopLevel::~TopLevel() (this=0x562c35c4ecf0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ./obj-x86_64-linux-gnu/gui/kdeinit_ksysguard_autogen/EWIEGA46WW/../../../../gui/ksysguard.h:41
#8  0x00007f2c66eaedaf in QObject::event(QEvent*) (this=0x562c35c4ecf0, e=0x562c36389a10) at kernel/qobject.cpp:1301
#9  0x00007f2c6834f659 in KXmlGuiWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#10 0x00007f2c67ac915f in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x562c35c4ecf0, e=0x562c36389a10) at kernel/qapplication.cpp:3632
#11 0x00007f2c66e82fca in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562c35c4ecf0, event=0x562c36389a10) at kernel/qcoreapplication.cpp:1063
#12 0x00007f2c66e85a01 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x562c35acb8f0) at kernel/qcoreapplication.cpp:1817
#13 0x00007f2c66edae93 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x562c35c59fc0) at kernel/qeventdispatcher_glib.cpp:277
#14 0x00007f2c5da0ee6b in g_main_dispatch (context=0x7f2c4c005000) at ../../../glib/gmain.c:3325
#15 g_main_context_dispatch (context=0x7f2c4c005000) at ../../../glib/gmain.c:4043
#16 0x00007f2c5da0f118 in g_main_context_iterate (context=context@entry=0x7f2c4c005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4119
#17 0x00007f2c5da0f1cf in g_main_context_iteration (context=0x7f2c4c005000, may_block=may_block@entry=1) at ../../../glib/gmain.c:4184
#18 0x00007f2c66eda51f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562c35c6b380, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#19 0x00007f2c66e8198b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffcffd2dea0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#20 0x00007f2c66e89c00 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#21 0x00007f2c6898206f in kdemain(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./gui/ksysguard.cpp:627
#22 0x00007f2c68779d0a in __libc_start_main (main=0x562c354bc050 <main>, argc=1, argv=0x7ffcffd2e0c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffcffd2e0b8) at ../csu/libc-start.c:308
#23 0x0000562c354bc08a in _start ()
(rr) when
Current event: 531099


Then a little later the same also destroyed TopLevel object is referenced,
and an assignment to the sbCpuStat QLabel is done.


(rr) cont
Continuing.

Thread 1 received signal SIGSEGV, Segmentation fault.
0x00007f2c66d247a9 in operator== (s1=<error reading variable: Cannot access memory at address 0x2e002e0020007e>, s2="CPU: 15 %\302\234\061\065 %") at text/qstring.cpp:3437
3437        if (s1.d->size != s2.d->size)
9: Toplevel = (TopLevel *) 0x562c35c4ecf0
10: Toplevel->sbCpuStat = (QLabel *) 0x562c360be2e0
11: Toplevel->sbCpuStat->d_ptr = {d = 0x562c3609fb90}
12: x/i $pc
=> 0x7f2c66d247a9 <_ZeqRK7QStringS1_+9>:        movslq 0x4(%rax),%rsi
(rr) bt
#0  0x00007f2c66d247a9 in operator==(QString const&, QString const&) (s1=<error reading variable: Cannot access memory at address 0x2e002e0020007e>, s2="CPU: 15 %\302\234\061\065 %") at text/qstring.cpp:3437
#1  0x00007f2c67bfd3e5 in QLabel::setText(QString const&) (this=0x562c360be2e0, text="CPU: 15 %\302\234\061\065 %") at widgets/qlabel.cpp:323
#2  0x00007f2c68980f6b in TopLevel::answerReceived(int, QList<QByteArray> const&) (this=0x562c35c4ecf0, id=<optimized out>, answerList=<optimized out>) at ./gui/ksysguard.cpp:466
#3  0x00007f2c686c1b12 in KSGRD::SensorAgent::processAnswer(char const*, int) (this=0x562c3613dfc0, buf=<optimized out>, buflen=<optimized out>) at ./ksgrd/SensorAgent.cpp:186
#4  0x00007f2c686c8081 in KSGRD::SensorShellAgent::msgRcvd() (this=0x562c3613dfc0) at ./ksgrd/SensorShellAgent.cpp:93
#5  0x00007f2c66eb95a6 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffcffd2d9d0, r=0x562c3613dfc0, this=0x562c36136f70) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#6  doActivate<false>(QObject*, int, void**) (sender=0x562c36140650, signal_index=15, argv=argv@entry=0x7ffcffd2d9d0) at kernel/qobject.cpp:3886
#7  0x00007f2c66eb2900 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7f2c67116d80 <QProcess::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7ffcffd2d9d0) at kernel/qobject.cpp:3946
#8  0x00007f2c66df022d in QProcess::readyReadStandardOutput(QProcess::QPrivateSignal) (this=<optimized out>, _t1=...) at .moc/moc_qprocess.cpp:367
#9  0x00007f2c66df57ed in QProcessPrivate::tryReadFromChannel(QProcessPrivate::Channel*) (this=0x562c36110be0, channel=0x562c36110cf0) at io/qprocess.cpp:1073
#10 0x00007f2c66df5d25 in QProcessPrivate::_q_canReadStandardError() (this=<optimized out>) at io/qprocess.cpp:1092
#11 QProcess::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffcffd2db80) at .moc/moc_qprocess.cpp:210
#12 0x00007f2c66eb95e0 in doActivate<false>(QObject*, int, void**) (sender=0x562c3613b520, signal_index=3, argv=argv@entry=0x7ffcffd2db80) at kernel/qobject.cpp:3898
#13 0x00007f2c66eb2900 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x562c3613b520, m=m@entry=0x7f2c67119160 <QSocketNotifier::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffcffd2db80) at kernel/qobject.cpp:3946
#14 0x00007f2c66ebc9df in QSocketNotifier::activated(QSocketDescriptor, QSocketNotifier::Type, QSocketNotifier::QPrivateSignal) (this=this@entry=0x562c3613b520, _t1=..., _t2=<optimized out>, _t3=...) at .moc/moc_qsocketnotifier.cpp:178
#15 0x00007f2c66ebd1db in QSocketNotifier::event(QEvent*) (this=0x562c3613b520, e=0x7ffcffd2dc90) at kernel/qsocketnotifier.cpp:302
#16 0x00007f2c67ac915f in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x562c3613b520, e=0x7ffcffd2dc90) at kernel/qapplication.cpp:3632
#17 0x00007f2c66e82fca in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562c3613b520, event=0x7ffcffd2dc90) at kernel/qcoreapplication.cpp:1063
#18 0x00007f2c66edb0d5 in socketNotifierSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0x562c35b23300) at kernel/qeventdispatcher_glib.cpp:107
#19 0x00007f2c5da0ee6b in g_main_dispatch (context=0x7f2c4c005000) at ../../../glib/gmain.c:3325
#20 g_main_context_dispatch (context=0x7f2c4c005000) at ../../../glib/gmain.c:4043
#21 0x00007f2c5da0f118 in g_main_context_iterate (context=context@entry=0x7f2c4c005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4119
#22 0x00007f2c5da0f1cf in g_main_context_iteration (context=0x7f2c4c005000, may_block=may_block@entry=1) at ../../../glib/gmain.c:4184
#23 0x00007f2c66eda51f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562c35c6b380, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#24 0x00007f2c66e8198b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffcffd2dea0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#25 0x00007f2c66e89c00 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#26 0x00007f2c6898206f in kdemain(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./gui/ksysguard.cpp:627
#27 0x00007f2c68779d0a in __libc_start_main (main=0x562c354bc050 <main>, argc=1, argv=0x7ffcffd2e0c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffcffd2e0b8) at ../csu/libc-start.c:308
#28 0x0000562c354bc08a in _start ()


Unfortunately I don't know how this is best avoided.
I have not tested, but maybe a explicit deletion
of the mMonitorRemoteAction object would disconnect the signal?

Or "some SensorAgent" has to be disconnected in some other way?


The following search show some more newer reports that look
similar and are not yet marked as duplicate:
https://bugs.kde.org/buglist.cgi?quicksearch=KSGRD%3A%3ASensorAgent%3A%3AprocessAnswer
Comment 57 Jiri Palecek 2021-10-04 15:11:41 UTC
This should be fixed by https://phabricator.kde.org/D29616

Can you test it?
Comment 58 Bernhard Übelacker 2021-10-04 15:51:50 UTC
(I am no longer sure about my relation ot the systemload in my previous post,
as I was not able to reproduce the crash with neither version running without
any debugger.)

I could reproduce the crash in 3 out of 3 attempts running
with "rr record -n" without D29616 applied.

Then I applied D29616 on top of the Debian package ksysguard 5.20.5-2.
With this 3 out of 3 attemts did not show a crash anymore.

So I assume the patch successfully avoids the crash.
Comment 59 Bug Janitor Service 2021-10-06 14:40:13 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/ksysguard/-/merge_requests/85